package net.pricefx.formulaengine.optimization;

import java.util.Map;

/**
 * @see net.pricefx.formulaengine.scripting.PublicGroovyAPI#model(String)
 */
public interface ModelContext {

    /**
     * @param evaluationName name of the evaluation in the model's class
     * @param inputs         inputs for executing the evaluation's formula
     * @return an unmodifiable ordered map of element name -> result value
     */
    Map<String, Object> evaluate(String evaluationName, Map<String, Object> inputs);

}
